OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
PopulateLeafNodesOp< LeafNodeT > Struct Template Reference

`#include <PointIndexGrid.h>`

## Public Types
using | IndexT = uint32_t
using | Partitioner = PointPartitioner< IndexT, LeafNodeT::LOG2DIM >

## Public Member Functions
| PopulateLeafNodesOp (std::unique_ptr< LeafNodeT *[]> &leafNodes, const Partitioner &partitioner)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
LeafNodeT **const | mLeafNodes
const Partitioner *const | mPartitioner

## Member Typedef Documentation

## ◆ IndexT

using IndexT = uint32_t

## ◆ Partitioner

using Partitioner = PointPartitioner<IndexT, LeafNodeT::LOG2DIM>

## Constructor & Destructor Documentation

## ◆ PopulateLeafNodesOp()

PopulateLeafNodesOp | ( | std::unique_ptr< LeafNodeT *[]> & | leafNodes,
|  | const Partitioner & | partitioner
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mLeafNodes

LeafNodeT* * const mLeafNodes

## ◆ mPartitioner

const Partitioner* const mPartitioner

The documentation for this struct was generated from the following file:

- PointIndexGrid.h